<?php
/**
 * Created by PhpStorm.
 * User: RSkaldin
 * Date: 6/7/2019
 * Time: 8:04 PM
 */

namespace App\Http\Controllers\Postman;

use App\Http\Controllers\Controller;
use App\Models\Feedback;

class FeedbackController extends Controller
{
    /**
     * List of feedbacks
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        return view('pages.admin.feedback.index', ['feedbacks' => Feedback::orderBy('id', 'DESC')->paginate(25)]);
    }

    /**
     * Detailed information about feedback
     * @param $feedback_id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function view($feedback_id)
    {
        return view('pages.admin.feedback.view', ['feedback' => Feedback::find($feedback_id)]);
    }
}