<!DOCTYPE html>
<html class="wide wow-animation" lang="en">

<head>
    <!-- Site Title-->
    <title>Fazoshop | Доставка любого вида груза из США во все регионы Узбекистана.</title>
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport"
          content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta charset="utf-8">
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#2d89ef">
    <meta name="theme-color" content="#ffffff">
    <!-- Stylesheets-->
    <link rel="stylesheet" type="text/css"
          href="https://fonts.googleapis.com/css?family=Ubuntu:400,500,700%7COpen+Sans:400,300);">
    <link rel="stylesheet" href="/frontend/css/style.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>


    <style type="text/css">

        #cabinet:hover {
            /*background-color: #0B3C5D;*/
            border: none;
            color: #ffffff;
        }

        #cabinet:hover a {
            color: #ffffff;
        }

        .nav_link {
            color: #328CC1;
        }

        .nav_link:hover {
            background-color: red;
        }
    </style>
</head>
<body>
<!-- Page-->
<div class="page text-center">
    <!-- Page Header-->
    <header class="page-head">
        <!-- RD Navbar-->
        <div class="rd-navbar-wrap header-minimal">
            <nav class="rd-navbar" data-layout="rd-navbar-fixed" data-sm-layout="rd-navbar-fullwidth"
                 data-md-layout="rd-navbar-static" data-lg-layout="rd-navbar-static"
                 data-device-layout="rd-navbar-fixed" data-sm-device-layout="rd-navbar-fixed"
                 data-md-device-layout="rd-navbar-fixed" data-lg-device-layout="rd-navbar-static"
                 data-lg-stick-up-offset="117px" data-sm-stick-up="true" data-md-stick-up="true"
                 data-lg-stick-up="true">
                <div class="rd-navbar-top-panel bg-dark">
                    <div class="rd-navbar-inner">
                        <button class="rd-navbar-collapse-toggle" data-rd-navbar-toggle=".list-inline" type="submit">
                            <span></span></button>
                        <a class="fa-envelope-o" href="../cdn-cgi/l/email-protection.html#4b68"><span
                                class="__cf_email__" data-cfemail="533a3d353c1337363e3c3f3a3d387d3c2134">[email&#160;protected]</span></a><a
                            class="fa-mobile-phone preffix-2" href="callto:#">1-800-1234-567</a>
                        <ul class="list-inline pull-right">
                            <li><a class="fa-facebook" href="#"></a></li>
                            <li><a class="fa-twitter" href="#"></a></li>
                            <li><a class="fa-pinterest-p" href="#"></a></li>
                            <li><a class="fa-vimeo" href="#"></a></li>
                            <li><a class="fa-google-plus" href="#"></a></li>
                            <li><a class="fa-rss" href="#"></a></li>
                            <li class="text-left"><a class="fa-envelope-o"
                                                     href="../cdn-cgi/l/email-protection.html#d1f2"><span
                                        class="__cf_email__" data-cfemail="20494e464f6044454d4f4c494e4b0e4f5247">[email&#160;protected]</span></a>
                            </li>
                            <li class="text-left"><a class="fa-mobile-phone" href="callto:#">1-800-1234-567</a></li>
                        </ul>
                    </div>
                </div>
                <div class="rd-navbar-inner">
                    <!-- RD Navbar Panel-->
                    <div class="rd-navbar-panel">
                        <!-- RD Navbar Toggle-->
                        <button class="rd-navbar-toggle" data-rd-navbar-toggle=".rd-navbar-nav-wrap" type="submit">
                            <span></span></button>
                        <!-- RD Navbar Brand-->
                        <div class="rd-navbar-brand"><a class="brand-name" href="/"><img src="/assets/img/icon/logo.png"
                                                                                         class="logo_main" alt="">
                            </a>
                        </div>
                    </div>

                    <div class="rd-navbar-nav-wrap">
                        <!-- RD Navbar Search-->
                        <div class="rd-navbar-search">
                            <form class="rd-navbar-search-form"
                                  action="https://livedemo00.template-help.com/wt_58899_v2/search.php" method="GET">
                                <label class="rd-navbar-search-form-input">
                                    <input type="text" name="s" placeholder="Search.." autocomplete="off">
                                </label>
                                <button class="rd-navbar-search-form-submit fa-shopping-cart" type="submit"></button>
                            </form>
                            <span class="rd-navbar-live-search-results"></span>
                            <button class="rd-navbar-search-toggle"
                                    data-rd-navbar-toggle=".rd-navbar-search, .rd-navbar-live-search-results"
                                    type="submit"></button>
                        </div>
                        <a class="fa-shopping-cart" href="#"><span>10</span></a>
                        <!-- RD Navbar Nav-->
                        <ul class="rd-navbar-nav">
                            <li class="active"><a href="/" class="nav_link" style="color: #0B3C5D">Главная</a></li>
                            <li><a href="/about" class="nav_link">О нас</a></li>
                            <li><a href="{{route('tariffs')}}" class="nav_link">Тарифы </a></li>
                            <li><a href="{{url('questions')}}" class="nav_link">Часто задаваемые вопросы </a></li>
                            <li><a href="/contacts" class="nav_link">Контакты</a></li>
                            {{--<li><a href="/#">Магазины</a></li>--}}
                            {{--<li><a href="/#">Тарифы</a></li>--}}
                            <li style="border: 1px solid #004085;" id="cabinet"><a href="/login" class=""
                                                                                   style="color: #328CC1">Персональный
                                    Кабинет</a></li>

                        </ul>
                    </div>

                </div>
            </nav>
        </div>

    </header>
    <!-- Page Content-->
    <main class="page-content">
        @yield('content')
    </main>
    <!-- Page Footer-->
    <footer class="page-foot section-inset-4" style="padding-top: 0 !important;">
        <section class="copyright well5" style="background-color: #0B3C5D;">
            <div class="container">
                <p class="pull-sm-left">&#169; <span id="copyright-year"></span> All Rights Reserved <a
                        href="/terms">Terms of Use and Privacy Policy</a></p>
                <ul class="list-inline pull-sm-right offset-3">
                    <li><a class="fa-facebook" href="#"></a></li>
                    <li><a class="fa-twitter" href="#"></a></li>
                    <li><a class="fa-rss" href="#"></a></li>
                </ul>
            </div>
        </section>
        <!-- {%FOOTER_LINK}-->
    </footer>
</div>
<!-- Global Mailform Output-->
<div class="snackbars" id="form-output-global"></div>
<!-- Java script-->

<script>
    $("#videolink").magnificPopup({
        type: 'inline',
        midClick: true
    })
</script>

<script src="/frontend/js/core.min.js"></script>
<script src="/frontend/js/script.js"></script>


@yield('custom_script')

</body>



</html>
